#include <stdio.h>

int main() {

    unsigned int in, o;
    unsigned long long int ret;
    scanf("%u", &in);

    if(in == 0)
    {printf("%d\n", 1); return 0;}

    o = in % 2;
    ret = 1;
    if (o == 0){
    for(int i = 1; i <= (in/2); i++)
    {
        ret *= 2 * i;
        ret %= 10010101;        

    }}
    else {
        in++;
        for(int i = 1; i <= (in/2); i++)
        {
            ret *= ((2 * i) - 1);
            ret %= 10010101;
        }
    }
    ret %= 10010101;
    printf("%llu\n", ret);
}